.partner {
  &__yandex-map {
    @include size(100%, 100%);
  }

  &__space-between {
    margin: 0 0 20px;
    align-items: center;
    justify-content: space-between;
  }

  &__wrapper {

  }

  &__header {
    @include flex(flex, row, wrap);
    align-items: center;
    justify-content: space-between;
    padding: 0 0 48px;
    margin: 0 0 40px;
    border-bottom: 1px solid $border;

    &-title {
      margin: 0;
      @include font(25px, 700, 1.2);
      color: #323c47;
    }

    &-button {
      margin: 0 !important;
      @include font(14px, 700, normal, 1px);
      color: #323c47;
    }
  }

  &__content {
    margin: 0 0 40px;
  }

  &__company-bar {
    @include flex(flex, row, wrap);
    align-items: center;
    justify-content: space-between;
    padding: 8px 60px;
    border-radius: 5px 5px 0 0;

    &-name {
      margin: 0;
      order: 1;
      @include font(18px, 700, 1.39);
      color: $white;
    }

    &-description {
      margin: 0;
      order: 2;
      @include font(18px, 700, 1.39);
      color: $white;
    }

    &-wrapper-icon {
      @include size(80px, 80px);
      @include flex(flex, row, nowrap);
      align-items: center;
      justify-content: center;
      background-color: $white;
      border-radius: 5px;
      overflow: hidden;
      order: 3;
    }

    &-icon {
      @include size(68px, 68px)
    }
  }

  &__navigation {
    @include size(100%);
    @include flex(flex, row, nowrap);
    justify-content: space-between;
    padding: 30px 60px;
    margin: 0;
    border-radius: 0 0 5px 5px;
    background-color: $white;
    border-left: 1px solid $border;
    border-right: 1px solid $border;
    border-bottom: 1px solid $border;

    &-title {
      margin: 0;
      @include font(14px, 500, 1.43);
      color: #323c47;
      text-transform: uppercase;
    }

    &-info {
      @include size(null, 200px);
      padding: 0;
      border: 1px solid $border;
      border-radius: 5px;

      ul {
        margin: 0;

        li {
          margin: 0;
          @include font(15px, 400, 1.67);
          text-overflow: ellipsis;
          white-space: nowrap;
          overflow: hidden;
          color: #adadad;
        }
      }
    }

    &-map {
      @include size(null, 200px);
      border-radius: 5px;
      overflow: hidden;
    }
  }

  &__category {
    @include size(calc(100% / 3 - 24px));
    min-height: 120px;

    &-icon-wrapper {
      @include size(100%, 60px);
      @include flex(flex, row, nowrap);
      align-items: center;
      padding: 12px 16px;
      background-color: $border;
      border-bottom: 1px solid $border;
    }

    &-icon {
      @include size(40px, 40px);
    }

    &-title-wrapper {
      background-color: $border;
    }

    &-title {
      @include size(calc(100% - 40px));
      padding: 0 0 0 12px;
      margin: 0;
      @include font(12px, 500, 1.33);
      color: #323c47;
    }

    &-tags {
      @include size(100%, 140px);
      @include flex(flex, row, wrap);
      align-content: flex-start;
      padding: 12px 16px;
      overflow: hidden;
    }

    &-tag {
      @include font(15px, 400, 1.67);
      color: #adadad;
      text-decoration: none;

      &:last-child {
        .partner__category-tag-divider {
          display: none;
        }
      }

      &-divider {
        padding: 0 8px;
        color: #323c47;
      }
    }
  }

  &__address {
    @include size(calc(100% / 3 - 24px));
    min-height: 120px;

    .partner__navigation-info {
      padding: 12px 16px;
      overflow: hidden;

      .my-scrollbar {
        width: 100%;
      }
    }
  }

  &__on-map {
    @include size(calc(100% / 3 - 24px));
    min-height: 120px;
  }

  &__detailed-information {
    @include size(100%);
    @include flex(flex, column, nowrap);
    padding: 30px 60px;
    margin: 0 0 40px;
    background-color: $white;
    border: 1px solid $border;
    border-radius: 5px;

    &-title {
      margin: 0 0 30px;
      @include font(14px, 500, 1.43);
      color: #323c47;
      text-transform: uppercase;
    }

    &-info {
      @include size(100%);
      @include flex(flex, row, wrap);
      justify-content: space-between;
    }

    .detailed-information {
      @include position(relative);
      @include size(calc((100% - 55px) / 2));
      @include flex(inline-flex, row, nowrap);
      justify-content: space-between;
      margin: 0 0 20px;

      &:after {
        content: '';
        @include position(absolute, $c: (left: 0, top: 50%));
        display: block;
        @include size(100%);
        border-bottom: 1px dotted #adadad;
        transform: translateY(-50%);
      }

      &__title {
        @include position(relative);
        z-index: 1;
        padding: 0 12px 0 0;
        background: $white;
        @include font(15px, 300, 1.67);
        color: #989898;
      }

      &__value {
        @include position(relative);
        z-index: 1;
        padding: 0 0 0 12px;
        background: $white;
        @include font(15px, 500, 1.67);
        color: #323c47;

        &.link {
          color: #4d92e3;
          text-decoration: none;
        }
      }
    }
  }

  &__row {
    @include flex(flex, row, wrap)
  }

  &__column {
    @include flex(flex, column, nowrap)
  }
}

@media #{$laptop} {
  .partner {
    &__wrapper {

    }

    &__header {
      @include flex(flex, row, wrap);
      padding: 0 0 40px;
      margin: 16px 0 0;
      border-bottom: none;

      &-title {
        margin: 0;
        @include font(25px, 500, 1.2);
      }

      &-button {

      }
    }

    &__content {

    }

    &__company-bar {
      padding: 20px;
      border-radius: 5px;
      margin: 0 0 40px;

      &-name {
        margin: 0;
        order: 1;
      }

      &-description {
        order: 2;
        @include font(15px, 700, 1.56);
      }

      &-wrapper-icon {
        margin: 0;
        order: 3;
      }

      &-icon {

      }
    }

    &__navigation {
      @include flex(null, column, null);
      justify-content: space-between;
      padding: 0;
      margin: 0 0 20px;
      background-color: transparent;
      border-left: none;
      border-right: none;
      border-bottom: none;

      &-title {
        margin: 0;
        @include font(14px, 500, 1.43);
      }

      &-info {
        padding: 0;
        margin: 0 0 20px;
        background-color: $white;

        ul {
          li {
            @include font(15px, 400, 1.67);
          }
        }
      }
    }

    &__category {
      @include size(100%);
      min-height: auto;
      margin: 0 0 40px;

      &-icon-wrapper {

      }

      &-icon {

      }

      &-title-wrapper {
        background-color: $border;
      }

      &-title {
        margin: 0;
      }

      &-tags {

      }

      &-tag {
        @include font(15px, 400, 1.67);
        color: #adadad;
        text-decoration: none;

        &:last-child {
          .partner__category-tag-divider {
            display: none;
          }
        }

        &-divider {
          padding: 0 8px;
          color: #323c47;
        }
      }
    }

    &__address {
      @include size(100%);
      min-height: auto;
      margin: 0 0 40px;
    }

    &__on-map {
      @include size(100%);
      min-height: auto;
      margin: 0 0 40px;
    }

    &__detailed-information {
      @include size(100%);
      @include flex(flex, column, nowrap);
      padding: 0;
      margin: 0 0 20px;
      background-color: transparent;
      border: none;
      border-radius: 0;

      &-title {
        margin: 0 0 20px;
      }

      &-info {
        @include size(100%);
        @include flex(flex, row, wrap);
        justify-content: space-between;
      }

      .detailed-information {
        @include position(relative);
        @include size(100%);
        @include flex(null, row, null);
        justify-content: space-between;
        margin: 0 0 20px;

        &__title {
          background-color: #fafbfc;
        }

        &__value {
          background-color: #fafbfc;
        }
      }
    }
  }
}

@media #{$tablet} {
  .partner {
    &__wrapper {

    }

    &__header {
      @include flex(flex, column, wrap);
      padding: 0 0 20px;
      margin: 16px 0 0;
      border-bottom: none;

      &-title {
        margin: 0 0 20px;
        @include font(25px, 500, 1.2);
      }

      &-button {

      }
    }

    &__content {

    }

    &__company-bar {
      padding: 20px 20px 15px;
      border-radius: 5px;

      &-name {
        margin: 0 0 60px;
        order: 1;
      }

      &-description {
        order: 3;
        @include font(15px, 700, 1.56);
      }

      &-wrapper-icon {
        margin: 0 0 60px;
        order: 2;
      }

      &-icon {

      }
    }

    &__navigation {
      @include flex(null, column, null);
      justify-content: space-between;
      padding: 0;
      background-color: transparent;
      margin: 0 0 20px;
      border-left: none;
      border-right: none;
      border-bottom: none;

      &-title {
        margin: 0;
        @include font(14px, 500, 1.43);
      }

      &-info {
        padding: 0;
        margin: 0 0 20px;
        background-color: $white;

        ul {
          li {

          }
        }
      }
    }

    &__category {
      @include size(100%);
      min-height: auto;
      margin: 0;

      &-icon-wrapper {

      }

      &-icon {

      }

      &-title-wrapper {
        background-color: $border;
      }

      &-title {
        margin: 0;
      }

      &-tags {

      }

      &-tag {
        @include font(12px, 400, 2.08);
        color: #adadad;
        text-decoration: none;

        &:last-child {
          .partner__category-tag-divider {
            display: none;
          }
        }

        &-divider {
          padding: 0 8px;
          color: #323c47;
        }
      }
    }

    &__address {
      @include size(100%);
      min-height: auto;
    }

    &__on-map {
      @include size(100%);
      min-height: auto;
    }

    &__detailed-information {
      @include size(100%);
      @include flex(flex, column, nowrap);
      padding: 0;
      margin: 0 0 20px;
      background-color: transparent;
      border: none;
      border-radius: 0;

      &-title {
        margin: 0 0 20px;
      }

      &-info {
        @include size(100%);
        @include flex(flex, row, wrap);
        justify-content: space-between;
      }

      .detailed-information {
        @include position(relative);
        @include size(100%);
        @include flex(null, column, null);
        margin: 0 0 20px;

        &:after {
          display: none;
        }

        &__title {
          padding: 0;
          background-color: #fafbfc;
        }

        &__value {
          padding: 0;
          background-color: #fafbfc;

          &.link {

          }
        }
      }
    }
  }
}

@media #{$mobile} {
  .pos-menu {
    flex-direction: column;

    .relative {
      @include position(relative);

      .clear_category {
        @include position(absolute, $c: (top: 50%, left: 0));
        transform: translateY(-50%);
      }

      button {
        margin: 0 !important;
      }
    }
  }

  .partner {

    &__wrapper {

    }

    &__header {
      @include flex(flex, column, wrap);
      padding: 0 0 20px;
      margin: 16px 0 0;
      border-bottom: none;

      &-title {
        margin: 0 0 20px;
        @include font(25px, 500, 1.2);
      }

      &-button {

      }
    }

    &__content {

    }

    &__company-bar {
      padding: 20px 20px 15px;
      border-radius: 5px;

      &-name {
        margin: 0 0 60px;
        order: 1;
      }

      &-description {
        order: 3;
        @include font(15px, 700, 1.56);
      }

      &-wrapper-icon {
        margin: 0 0 60px;
        order: 2;
      }

      &-icon {

      }
    }

    &__navigation {
      @include flex(null, column, null);
      justify-content: space-between;
      padding: 0;
      margin: 0 0 20px;
      background-color: transparent;
      border-left: none;
      border-right: none;
      border-bottom: none;

      &-title {
        margin: 0;
        @include font(14px, 500, 1.43);
      }

      &-info {
        padding: 0;
        margin: 0 0 20px;
        background-color: $white;

        ul {
          li {
            @include font(12px, 400, 2.08);
          }
        }
      }
    }

    &__category {
      @include size(100%);
      min-height: auto;
      margin: 0;

      &-icon-wrapper {

      }

      &-icon {

      }

      &-title-wrapper {
        background-color: $border;
      }

      &-title {
        margin: 0;
      }

      &-tags {

      }

      &-tag {
        @include font(12px, 400, 2.08);
        color: #adadad;
        text-decoration: none;

        &:last-child {
          .partner__category-tag-divider {
            display: none;
          }
        }

        &-divider {
          padding: 0 8px;
          color: #323c47;
        }
      }
    }

    &__address {
      @include size(100%);
      min-height: auto;
    }

    &__on-map {
      @include size(100%);
      min-height: auto;
    }

    &__detailed-information {
      @include size(100%);
      @include flex(flex, column, nowrap);
      padding: 0;
      margin: 0 0 20px;
      background-color: transparent;
      border: none;
      border-radius: 0;

      &-title {
        margin: 0 0 20px;
      }

      &-info {
        @include size(100%);
        @include flex(flex, row, wrap);
        justify-content: space-between;
      }

      .detailed-information {
        @include position(relative);
        @include size(100%);
        @include flex(null, column, null);
        margin: 0 0 20px;

        &:after {
          display: none;
        }

        &__title {
          padding: 0;
          background-color: #fafbfc;
        }

        &__value {
          padding: 0;
          background-color: #fafbfc;

          &.link {

          }
        }
      }
    }
  }
}
